// Package define ...
//
// Description : data_mask ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-05-23 14:26
package define

const (
	// TypeDefault 默认实现
	TypeDefault = "DEFAULT_DATA_MASK"
	// TypeMail 邮箱数据脱敏
	TypeMail = "MAIL_DATA_MASK"
	// TypePhone 手机号脱敏
	TypePhone = "PHONE_DATA_MASK"
	// TypePassword 密码数据脱敏
	TypePassword = "PASSWORD_DATA_MASK"
)

// TypeDesc 脱敏类型描述
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:34 2023/5/25
type TypeDesc struct {
	Type string `json:"type"` // 数据脱敏类型
	Desc string `json:"desc"` // 脱敏类型描述
}

var (
	TypeList = []TypeDesc{
		{TypeDefault, "默认策略"},
		{TypeMail, "邮箱数据脱敏"},
		{TypePhone, "手机号数据脱敏"},
		{TypePassword, "密码数据脱敏"},
	}
)
